
#load'C:\Users\Keith\Documents\ShopProjects\TestPlugins\loadK2WS_Tools.rb'

# Name:        loadK2WS_Tools  ###
# Date:	      5 29 2011
# Description: The following adds a woodworking joint tools to the 'Draw' menu. These rb's are in the K2WS_Tools folder   
#                 which must be in then Plugins folder.  
#               This is a test of a loading on demand plugin so the individual tools can have separate plugins
#                 but each is only loaded as needed.
# Author:     Keith Krueger (with a big help from plugin forum:)
#    
require 'sketchup.rb'


  #creates a Mortise & Tenon Joint on 2components 
  #User can create their own defaults etc.
  #Two files:"Test_MortiseTool2.rb" & "KK_MortiseTool_X.rb"  must be in folder ..../Plugins/K2WS_Tools
  #This file "loadK2WS_Tools.rb"  must be in the ....\Plugins directory to run when SU opens
  require 'K2WS_Tools\Test_MortiseTool2.rb'


if(not file_loaded?("loadK2WS_Tools.rb"))
  UI.menu("Plugins").add_item("new...") {new_def}
end
file_loaded("loadK2WS_Tools.rb")
